com.amazonaws.codegen.model.intermediate

## Enum Protocol

- java.lang.Object
- - java.lang.Enum<Protocol>
  - - com.amazonaws.codegen.model.intermediate.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Protocol>

    public enum Protocol
    extends Enum<Protocol>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CBOR`
`EC2`
`ION`
`JSON`
`QUERY`
`REST_JSON`
`REST_XML`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Protocol` `fromValue(String strProtocol)`
`ProtocolMetadataProvider` `getProvider()`
`String` `getValue()`
`static Protocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EC2

    public static final Protocol EC2

#### JSON

    public static final Protocol JSON

#### REST_JSON

    public static final Protocol REST_JSON

#### CBOR

    public static final Protocol CBOR

#### QUERY

    public static final Protocol QUERY

#### REST_XML

    public static final Protocol REST_XML

#### ION

    public static final Protocol ION

### Method Detail

#### values

    public static Protocol[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Protocol c : Protocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Protocol valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromValue

    public static Protocol fromValue(String strProtocol)

#### getValue

    public String getValue()

#### getProvider

    public ProtocolMetadataProvider getProvider()